extends layout


block content
    nav.navbar.navbar-default.navbar-fixed-top
        .navbar-header
            a.navbar-brand(href='#')
                p Web Front End ServerName : #{servername}
        .container
            p.navbar-text.navbar-right Please sign in
    .form-group(style='margin-top: 100px; width : 400px; margin-left : 50px;')
        input#username.form-control(type='text', placeholder='Name')
        br
        input#useremail.form-control(type='text', placeholder='Email')
        br
        input#password.form-control(type='password', placeholder='Password')
        br
        input#login-submit.btn.btn-primary(type='button', value='Log In')
        a#reg(href='') Sign up here


    script.
        $(document).ready(function () {
            $("#username").hide();
            $('#login-submit').click(function (e) {
                if ($(this).attr('value') === 'Register') {
                    $.post("/register", {
                        user_name: $("#username").val(),
                        user_email: $("#useremail").val(),
                        user_password: $("#password").val()
                    }, function (data) {
                        if (data.error) {
                            alert(data.message);
                        } else {
                            $("#username").hide();
                            $("#login-submit").prop('value', 'Log in');
                        }
                    });
                } else {
                    $.post("/login", {
                        user_email: $("#useremail").val(),
                        user_password: $("#password").val()
                    }, function (data) {
                        if (!data.error) {
                            window.location.href = "/home";
                        } else {
                            alert(data.message);
                        }
                    });
                }
            });
            $("#reg").click(function (event) {
                $("#username").show('slow');
                $("#login-submit").prop('value', 'Register');
                event.preventDefault();
            });
        });